# Uses of Interface
org.opensaml.saml.saml2.core.StatusResponseType

Packages that use StatusResponseType
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of StatusResponseType in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type StatusResponseType
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml2Response(StatusResponseType statusResponse)`
Resolve the SAML entity ID from a SAML 2 response.

## Uses of StatusResponseType in org.opensaml.saml.saml2.core

Subinterfaces of StatusResponseType in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`ArtifactResponse`
SAML 2.0 Core ArtifactResponse.
`interface`
`LogoutResponse`
SAML 2.0 Core LogoutResponse.
`interface`
`ManageNameIDResponse`
SAML 2.0 Core ManageNameIDResponse.
`interface`
`NameIDMappingResponse`
SAML 2.0 Core NameIDMappingResponse .
`interface`
`Response`
SAML 2.0 Core Response.

## Uses of StatusResponseType in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement StatusResponseType
Modifier and Type
Class
Description
`class`
`ArtifactResponseImpl`
Concrete implementation of `ArtifactResponse`.
`class`
`LogoutResponseImpl`
A concrete implementation of `LogoutResponse`.
`class`
`ManageNameIDResponseImpl`
Concrete implementation for `ManageNameIDResponse` objects.
`class`
`NameIDMappingResponseImpl`
Concrete implementation of `NameIDMappingResponse`.
`class`
`ResponseImpl`
Concrete implementation of `Response`.
`class`
`StatusResponseTypeImpl`
Concrete implementation of `StatusResponseType`.

## Uses of StatusResponseType in org.opensaml.saml.saml2.profile.impl

Classes in org.opensaml.saml.saml2.profile.impl with type parameters of type StatusResponseType
Modifier and Type
Class
Description
`class`
`AbstractResponseShellAction<MessageType extends StatusResponseType>`
Abstract action that creates an empty object derived from `StatusResponseType`, and sets it as the message returned by `InOutOperationContext.getOutboundMessageContext()`.
Fields in org.opensaml.saml.saml2.profile.impl declared as StatusResponseType
Modifier and Type
Field
Description
`private StatusResponseType`
AddStatusToResponse.`response`
Response to modify.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type StatusResponseType
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,StatusResponseType>`
AddStatusToResponse.`responseLookupStrategy`
Strategy used to locate the `StatusResponseType` to operate on.
`private Function<ProfileRequestContext,StatusResponseType>`
EncryptAssertions.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,StatusResponseType>`
EncryptAttributes.`responseLookupStrategy`
Strategy used to locate the `StatusResponseType` to operate on.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type StatusResponseType
Modifier and Type
Method
Description
`void`
AddStatusToResponse.`setResponseLookupStrategy(Function<ProfileRequestContext,StatusResponseType> strategy)`
Set the strategy used to locate the `StatusResponseType` to operate on.
`void`
EncryptAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,StatusResponseType> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
EncryptAttributes.`setResponseLookupStrategy(Function<ProfileRequestContext,StatusResponseType> strategy)`
Set the strategy used to locate the `Response` to operate on.